
QGIS Application - Feature request #3492

label-ng: add X,Y offset

2011-02-15 07:10 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Labelling

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 13552

Description

Currently only one distance can be selected in the new labelling engine. It would be good to have the opportunity to select an X and Y

offset, as in the old labelling

Associated revisions

Revision 61a50225 - 2012-09-03 06:13 AM - Larry Shaffer

Add quadrant, offset, rotation for points/centroids in adv labeling

- Possible fix for #4634, #5256, #6162

- Uses GEOS to convert centroids to points before PAL solution

- Implements #3492, #6285

- Convert PAL layer types 'over point/centroid' to 'offset from point/centroid'

- Add quadrant offsets (above/below/right, etc. like in old labeling)

- Add x and y offset, in mm or map unit, in addition to quadrant

- Default for offset is set to map units (mm scales oddly with zoom)

- Implements #4517, #6118; updates fix for #4317

- Rotation is independent of data defined columns

- Rotation bounding box included in offset calculation

- GUI spin box range set from -360 to +360 for initial dev testing

- Keep from scaling letter/word spacing if set to 0

History

#1 - 2011-02-16 05:40 AM - dr -

See also https://trac.osgeo.org/qgis/ticket/3473

#2 - 2011-12-16 09:47 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Category changed from Symbology to Labelling

- Assignee deleted (nobody -)

#3 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:11 AM - Giovanni Manghi
https://trac.osgeo.org/qgis/ticket/3473


- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-09-04 12:30 PM - Larry Shaffer

Should be implemented for point and centroid features with commit commit:61a50225 (no implementation for other types of features).

Please test.

#6 - 2012-09-04 12:35 PM - Paolo Cavallini

- Status changed from Open to Feedback

#7 - 2012-09-04 11:57 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Feedback to Closed

Thanks Larry
